
Figure - Bug #118433
IOVDEV-31808【内部】【VC1】【0100】【台架】【EE环境】【副屏】【第三方应用】taptap进入有效，使用
小窗模式，再使用全屏模式，状态栏显示错误
2023-06-01 19:00 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.C103

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-06-07

Test Type: User Experience Root cause: 编码问题

Description

【环境信息】：EE环境

【问题出现时间】：2023/05/31 09:47 第176次开机

【前提条件】：电源ON

【操作步骤】：

1、打开taptap

2、进入游戏

3、使用小窗模式

4、再使用全屏模式

【实际结果】

状态栏显示错误

【期望结果】

状态栏显示正常

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】taptap 2.56.0-rel100000

录屏&log:https://ofs.human-horizons.com/#/download/index/6yQ6zUcPi0U%3D

History

#1 - 2023-06-01 19:45 - CD APP-王营

- File screen-20230531-152724.mp4 added

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW-廖涛

2025-07-04 1/3



Hi 廖涛

请更新一下游戏列表，游戏不应该支持小窗模式

#2 - 2023-06-02 13:47 - CD FW-廖涛

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW-廖涛 to CD APP-王营

Hi, 王营：

从 TapTap 中打开的游戏，顶层 Activity 的包还是 TapTap，不能直接将 TapTap 当做游戏，需要在 Launcher 中单独处理下。

TapTap 游戏【无尽回廊】打开后的 RootTask 信息如下：

RootTask id=179 bounds=[0,0][2380,1020] displayId=0 userId=0

 configuration={1.0 ?mcc?mnc [zh_CN] ldltr sw680dp w1586dp h625dp 240dpi lrg long hdr land finger -keyb/v/h -nav/h winConfig={ mBounds=Rect(0, 0 - 2380, 1020)

mAppBounds=Rect(0, 0 - 2380, 974) mMaxBounds=Rect(0, 0 - 2380, 1020) mWindowingMode=fullscreen mDisplayWindowingMode=fullscreen

mActivityType=standard mAlwaysOnTop=undefined mRotation=ROTATION_0} s.10 fontWeightAdjustment=0}

  taskId=179: com.taptap/com.taptap.sandbox.client.stub.ShadowActivity$P0 bounds=[0,0][2380,1020] userId=0 visible=true

topActivity=ComponentInfo{com.taptap/com.taptap.sandbox.client.stub.ShadowActivity$P0}

#3 - 2023-06-06 10:12 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

to 王宏

请将taptap启动的内部有些task在Recent任务列表中进行过滤，如果是taptap打开的快速游戏，不在task右上角显示以小窗启动按钮。

#4 - 2023-06-06 15:30 - CD APP-王宏

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

在taptap启动的游戏进程卡片中隐藏小窗button。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/205101

#5 - 2023-06-06 16:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205101 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/205101


AF:Launcher:Hide small window button with taptap gameTC-RID: 1201-0205302IssueID: TS-R-BUG-118433Change-Id:

I3feb0e9357192c3a18f55abd0d8dcfcf08ad4179

#6 - 2023-06-06 16:38 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-07

#7 - 2023-06-14 16:52 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：user.01.00.0110.C104（6/13）

#8 - 2023-06-14 16:52 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

screen-20230531-152724.mp4 15.8 MB 2023-06-01 CD APP-王营
